diff --git a/Makefile b/Makefile
index 90e12c7..e544fd7 100644
--- a/Makefile
+++ b/Makefile
@@ -155,8 +155,8 @@ LINKER_SYMBOL_PREFIX=
 GLOBAL_MAKEOPTS=$(wildcard /etc/asterisk.makeopts)
 USER_MAKEOPTS=$(wildcard ~/.asterisk.makeopts)
 
-MOD_SUBDIR_CFLAGS="-I$(ASTTOPDIR)/include"
-OTHER_SUBDIR_CFLAGS="-I$(ASTTOPDIR)/include"
+MOD_SUBDIR_CFLAGS=-I$(ASTTOPDIR)/include
+OTHER_SUBDIR_CFLAGS=-I$(ASTTOPDIR)/include
 
 # Create OPTIONS variable, but probably we can assign directly to ASTCFLAGS
 OPTIONS=
diff --git a/Makefile.rules b/Makefile.rules
index 45f7e4b..f5016ed 100644
--- a/Makefile.rules
+++ b/Makefile.rules
@@ -127,14 +127,14 @@ endif
 
 %.so: %.o
 ifeq ($(GNU_LD),1)
-	$(CMD_PREFIX) $(ASTTOPDIR)/build_tools/make_linker_version_script $* "$(LINKER_SYMBOL_PREFIX)" "$(ASTTOPDIR)"
+	$(CMD_PREFIX) $(ASTTOPDIR)/build_tools/make_linker_version_script $* "$(LINKER_SYMBOL_PREFIX)" $(ASTTOPDIR)
 endif
 	$(ECHO_PREFIX) echo "   [LD] $^ -> $@"
 	$(CMD_PREFIX) $(CC) $(STATIC_BUILD) -o $@ $(CC_LDFLAGS_SO) $^ $(CC_LIBS)
 
 %.so: %.oo
 ifeq ($(GNU_LD),1)
-	$(CMD_PREFIX) $(ASTTOPDIR)/build_tools/make_linker_version_script $* "$(LINKER_SYMBOL_PREFIX)" "$(ASTTOPDIR)"
+	$(CMD_PREFIX) $(ASTTOPDIR)/build_tools/make_linker_version_script $* "$(LINKER_SYMBOL_PREFIX)" $(ASTTOPDIR)
 endif
 	$(ECHO_PREFIX) echo "   [LDXX] $^ -> $@"
 	$(CMD_PREFIX) $(CXX) $(STATIC_BUILD) -o $@ $(CXX_LDFLAGS_SO) $^ $(CXX_LIBS)
diff --git a/build_tools/make_linker_version_script b/build_tools/make_linker_version_script
index 871ff47..ee03bb7 100755
--- a/build_tools/make_linker_version_script
+++ b/build_tools/make_linker_version_script
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-test -f ${1}.exports.in && ${AWK} "{sub(\"LINKER_SYMBOL_PREFIX\", \"${2}\"); print;}" ${1}.exports.in > ${1}.exports && exit 0
-test -f ${1}.exports.in || rm -f ${1}.exports && cp ${3}/default.exports ${1}.exports && exit 0
+test -f "${1}.exports.in" && ${AWK} "{sub(\"LINKER_SYMBOL_PREFIX\", \"${2}\"); print;}" "${1}.exports.in" > "${1}.exports" && exit 0
+test -f "${1}.exports.in" || rm -f "${1}.exports" && cp "${3}/default.exports" "${1}.exports" && exit 0
 
diff --git a/build_tools/mkpkgconfig b/build_tools/mkpkgconfig
index 522afba..699a91b 100755
--- a/build_tools/mkpkgconfig
+++ b/build_tools/mkpkgconfig
@@ -1,5 +1,5 @@
 #!/bin/sh
-PPATH=$1
+PPATH="$1"
 ## Make sure we were called from Makefile
 
 if [ "x$ASTERISKVERSIONNUM" = "x" ]; then
@@ -9,7 +9,7 @@ fi
 
 ## Create a pkgconfig spec file for 3rd party modules (pkg-config asterisk --cflags)
 
-if [ ! -d $PPATH ]; then
+if [ ! -d "$PPATH" ]; then
   exit
 fi
 
@@ -29,7 +29,7 @@ LOCAL_CFLAGS=`echo $CFLAGS | ${EXTREGEX} 's/\s*-pipe\s*//g' | ${EXTREGEX} 's/-[W
   ${EXTREGEX} 's/-DAST(ETCDIR|LIBDIR|VARLIBDIR|VARRUNDIR|SPOOLDIR|LOGDIR|CONFPATH|MODDIR|AGIDIR)=\S* //g'`
 
 
-cat <<EOF > $PPATH/asterisk.pc
+cat <<EOF > "$PPATH/asterisk.pc"
 install_prefix=$INSTALL_PREFIX
 version_number=$ASTERISKVERSIONNUM
 etcdir=$ASTETCDIR
diff --git a/configure.ac b/configure.ac
index a5f52f2..b6e4abb 100644
--- a/configure.ac
+++ b/configure.ac
@@ -17,8 +17,6 @@ AC_CANONICAL_HOST
 # check existence of the package
 AC_CONFIG_SRCDIR([main/asterisk.c])
 
-AC_CONFIG_AUX_DIR(`pwd`)
-
 AC_COPYRIGHT("Asterisk")
 AC_REVISION($Revision$)
 
